.\"	$NetBSD: ypinit.8,v 1.15 2005/02/26 16:33:46 thorpej Exp $
.\"
.\" Copyright (c) 1997 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Curt J. Sampson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd February 26, 2005
.Dt YPINIT 8
.Os
.Sh NAME
.Nm ypinit
.Nd initialize NIS subsystem
.Sh SYNOPSIS
.Nm
.Fl c
.Op Ar domainname
.Op Fl l Ar server1,...,serverN
.Nm
.Fl m
.Op Ar domainname
.Op Fl l Ar server1,...,serverN
.Nm
.Fl s
.Ar master_server
.Op Ar domainname
.Op Fl l Ar server1,...,serverN
.Sh DESCRIPTION
.Nm
initializes the files and directories that are required for a
.Tn NIS
client or server.
.Pp
If
.Ar domainname
isn't specified, the default domain (as returned by
.Xr domainname 1 )
is used.
.Pp
The following options are available:
.Bl -tag -width indent
.It Fl c
Create a
.Tn NIS
client.
Initializes
.Pa /var/yp/binding/\*[Lt]domain\*[Gt].ypservers
to contain a list of ypservers for
.Xr ypbind 8
to connect to.
.It Fl l Ar server1,...,serverN
Set the list of client servers from the command line rather than
prompting for them interactively.  The format is a comma separated list
of server names with no spaces.
.It Fl m
Create a master
.Tn NIS
server.
Generates map data from local files
.Pa ( /etc/master.passwd ,
.Pa /etc/group ,
etc.).
.It Fl s Ar master_server
Create a slave server.
Downloads the maps from
.Ar master_server ,
which should be the active master
.Tn NIS
server.
.El
.Pp
To rebuild or refresh the maps for the
.Tn NIS
domain \*[Lt]domain\*[Gt], change to the
.Pa /var/yp/\*[Lt]domain\*[Gt]
directory and run
.Ic make .
.Sh FILES
.Bl -tag -width /var/yp/ypserv.log -compact
.It Pa /var/yp
master
.Tn NIS
directory; contains the template makefiles.
.It Pa /var/yp/\*[Lt]domain\*[Gt]
directory to store
.Tn NIS
maps for \*[Lt]domain\*[Gt].
.It Pa /var/yp/binding/\*[Lt]domain\*[Gt].ypservers
list of
.Tn NIS
servers to bind to.
.El
.Sh SEE ALSO
.Xr domainname 1 ,
.Xr make 1 ,
.Xr makedbm 8 ,
.Xr mknetid 8 ,
.Xr nis 8 ,
.Xr stdethers 8 ,
.Xr stdhosts 8 ,
.Xr ypbind 8 ,
.Xr yppush 8 ,
.Xr ypserv 8
.Sh AUTHORS
Originally written by Mats O Jansson
.Aq moj@stacken.kth.se .
Modified by Jason R. Thorpe
.Aq thorpej@NetBSD.org .
